package main

import (
	"git.annabunch.es/annabunches/urizen/internal/rolereactions"
	"git.annabunch.es/annabunches/urizen/lib/discord"

	"github.com/spf13/viper"
)

func main() {
	viper.AutomaticEnv()
	session := discord.InitServer(viper.GetString("DISCORD_AUTH_TOKEN"))
	rolereactions.Init(session, viper.GetString("ROLE_REACTIONS_CONFIG_FILE"))
	discord.RunServer()
}
